GNU bug report logs - #55871
27.1; vc-git.el log view 'a', 'f', 'd' do not work when following renames

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Nicolás Ojeda Bär <n.oje.bar@HIDDEN>; Keywords: patch; dated Thu, 9 Jun 2022 14:33:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55871 <at> debbugs.gnu.org:


Received: (at 55871) by debbugs.gnu.org; 6 Sep 2022 12:13:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 08:13:59 2022
Received: from localhost ([127.0.0.1]:49984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVXSp-0006QA-BJ
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 08:13:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oVXSd-0006Pf-4W
 for 55871 <at> debbugs.gnu.org; Tue, 06 Sep 2022 08:13:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=A2TncvxlHl9Pq3vJG2vT19qityWA1iVWf8l563iif1I=; b=tp9LzbLht+wX9mmauino5pCsya
 sMyE6bFUmFUSXD74408ykB2cdVaDynSGmzT1rJwDyDRXVpdsOjRY0HVEYlMM1Sja9nGZPHeulUp5J
 mOWwwhed7jTAcdxR31snjxj17Ae7GJ5oeHh01szQNT4/PfvW8OANQ2I9+0RkSzkvHcNg=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVXSU-0004SY-Dr; Tue, 06 Sep 2022 14:13:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?Q?Nicol=C3=A1s?= Ojeda =?utf-8?Q?B=C3=A4r?= <n.oje.bar@HIDDEN>
Subject: Re: bug#55871: 27.1; vc-git.el log view 'a', 'f', 'd' do not work
 when following renames
In-Reply-To: <CAPunWhB1QC93soYCmmcyG23sFRX7g9N75evOEwKw=gFK1NtPyQ@HIDDEN>
 (=?utf-8?Q?=22Nicol=C3=A1s?= Ojeda =?utf-8?Q?B=C3=A4r=22's?= message of
 "Tue, 6 Sep 2022 14:12:21 +0200")
References: <CAPunWhApn1-te3g0M6mBV-1yHTqsw3vV5MSZdn_zSPGMzC826w@HIDDEN>
 <handler.55871.B.16547851264967.ack <at> debbugs.gnu.org>
 <CAPunWhAX4_tj7h4OXR_qnNUT9XJN3718GjaBw+yEujsp5gAjMQ@HIDDEN>
 <78f97339-2aca-0dbd-4cb4-3532af78a895@HIDDEN>
 <874jxkvkiz.fsf_-_@HIDDEN>
 <CAPunWhB1QC93soYCmmcyG23sFRX7g9N75evOEwKw=gFK1NtPyQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUrGxYKCQleLRyd
 lYPaXhr///9SE5piAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YJBgwNEfK2yEkAAAGxSURBVDjLlZPh
 cSshDISRTAGI5wKAqIK4AZtR/zW9FTrOdiaZTPTD5vSh1aLjUoogOf4LVnV8poRESSLpAElIyuVS
 GxKlFfG0iBSUkAh/cAcY3PFwRinESKVS0yf3VwBtKQQw+NbkLeqqKHx7k0JwbXBzuZG8A6o1EQD8
 rW1aZ99SA66QRkEZqjyp9ABCDlwo37OOKXX6w7/m54hI8wrQs/ZV8QHgDaCg3KiSKcF6xcSiAvY4
 Tjd54rf58DzMoFDXFn0c2lHh0nr3pdLwygBLuJj5ZDjPZ0WeSF1tCYotY3gbbhzriry5PhtFBS3J
 VWCeu/ZTqpK3XmC6EdsgQ6JYBICNDXT0UNLVRQet5q6CidgjT11axhtI7Tj7rDOaPJuP5BU2Rxhu
 UbGcHz1M18xsS2U8blcAdt9SLG2fw7cQnwf0uYYWVK6TNih+LtkHHHpKifomaA13i6tzgjVpjLf5
 bHo9pXBpVGLuhHv3eL6oihsV3anovL+8c525BxgtlA4AS7QALKTXWyLQygvU0d8A5htA9je07+4x
 k+dH8gQ8EN+BL/EHQD+A8hOgX3vQ93n+D9YubqxqfFL/AAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIy
 LTA5LTA2VDEyOjEzOjE3KzAwOjAwcflVpQAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wOS0wNlQx
 MjoxMzoxNyswMDowMACk7RkAAAAASUVORK5CYII=
X-Now-Playing: Tom Robinson Band's _Power In The Darkness_: "Up Against The
 Wall"
Date: Tue, 06 Sep 2022 14:13:37 +0200
Message-ID: <87bkrssnta.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Nicolás Ojeda Bär <n.oje.bar@HIDDEN> writes: > Sorry
   for the delay in getting back to you. No problem with assigning > copyright
    to FSF. Great; here's the form to get started: 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55871
Cc: 55871 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Nicol=C3=A1s Ojeda B=C3=A4r <n.oje.bar@HIDDEN> writes:

> Sorry for the delay in getting back to you. No problem with assigning
> copyright to FSF.

Great; here's the form to get started:


Please email the following information to assign@HIDDEN, and we
will send you the assignment form for your past and future changes.

Please use your full legal name (in ASCII characters) as the subject
line of the message.
----------------------------------------------------------------------
REQUEST: SEND FORM FOR PAST AND FUTURE CHANGES

[What is the name of the program or package you're contributing to?]
Emacs

[Did you copy any files or text written by someone else in these changes?
Even if that material is free software, we need to know about it.]

[Do you have an employer who might have a basis to claim to own
your changes?  Do you attend a school which might make such a claim?]

[For the copyright registration, what country are you a citizen of?]

[What year were you born?]

[Please write your email address here.]

[Please write your postal address here.]

[Which files have you changed so far, and which new files have you written
so far?]





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55871; Package emacs. Full text available.

Message received at 55871 <at> debbugs.gnu.org:


Received: (at 55871) by debbugs.gnu.org; 6 Sep 2022 12:13:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 08:13:01 2022
Received: from localhost ([127.0.0.1]:49977 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVXRq-0006O8-A2
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 08:13:01 -0400
Received: from mail-vk1-f172.google.com ([209.85.221.172]:46051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <n.oje.bar@HIDDEN>) id 1oVXRl-0006Ns-TZ
 for 55871 <at> debbugs.gnu.org; Tue, 06 Sep 2022 08:12:57 -0400
Received: by mail-vk1-f172.google.com with SMTP id r69so988020vkf.12
 for <55871 <at> debbugs.gnu.org>; Tue, 06 Sep 2022 05:12:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date;
 bh=BPkRZ4GvJx8CoeC2z0ba0EHqq3LKbDE2kltIFsXjbrM=;
 b=EmeljLPGX8mX0u1tLXBG7jBrIcgKNjVnnQbe+sALUpy37vIdm1VZ9C3fhvMh1c3+2s
 Tlzr003i2MGary+3Q+/DSfY5Ge9WvPzHfopzi5/KYNVEUuL5uGseq45rUmA829hb1Y29
 FY9dwXidg2/OCTlx9dqxIb6SUg3Vznp5tr5N2Y8sM9FRHjrMFc+zTPKgMAbiSmyupltE
 YwkxcCirLX4cjr8MHal7krQ0xLHZDZAQ/HVp/afwq18Sj9aeDhJhgv+5FWPgXaENTfp4
 hq+4SEecjYO3hayiLeZD7avvYFstIKSIw6OCCoUmWbiT62OKeBcnnDBcfNSUOTqlFR4V
 ICxQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date;
 bh=BPkRZ4GvJx8CoeC2z0ba0EHqq3LKbDE2kltIFsXjbrM=;
 b=iqB+emgxM6eTd5kb9mkn4b2ydP6Ng9Wv68RibxbXRL13FeA05LhcObfmv7o0s/EUNT
 V81ZCQEJuY/FxXBuyFUKd5/CeuvsRvC3G41A7G1ObNl71XrKj6lnktVM8ipvUiq36Mtb
 74Ejk8nZkSv6BcbZj33jW0r2Eb4+igIFj4JN9+WrWshZUcio8SX2hGOg2DMpzR1ojQMK
 jXpX2H+Qhj9NQZCwC2NWKfDpB/JsdAyl71e4kyNIirUgjmroP1CM6Wdn+98+3LdPi2ql
 hzcGpYJPObncGcRVNGJ6eW1XoRD3VbzQhFaY8/Vla8+5K2fcMpSaYOUIMO3s328MegAR
 1VUQ==
X-Gm-Message-State: ACgBeo3BWGb8p3qks0Bz0zPY8VNFWBWw0+dZRKmNTOS3TzsUFSPkzK2H
 eyDKR7JJhgnSY5IETvd4+uTzRQD79TYI4r8mKMk=
X-Google-Smtp-Source: AA6agR7/4N05JEEIgEtXMvhZd+tXSIB5TFhSyYeo6omO8vVXod9+FRZfXEp73pu7zPHza2YANeJM+Rc4Q7N3Cp0EDyM=
X-Received: by 2002:a05:6122:1190:b0:39e:b11c:e655 with SMTP id
 x16-20020a056122119000b0039eb11ce655mr201217vkn.11.1662466368227; Tue, 06 Sep
 2022 05:12:48 -0700 (PDT)
MIME-Version: 1.0
References: <CAPunWhApn1-te3g0M6mBV-1yHTqsw3vV5MSZdn_zSPGMzC826w@HIDDEN>
 <handler.55871.B.16547851264967.ack <at> debbugs.gnu.org>
 <CAPunWhAX4_tj7h4OXR_qnNUT9XJN3718GjaBw+yEujsp5gAjMQ@HIDDEN>
 <78f97339-2aca-0dbd-4cb4-3532af78a895@HIDDEN> <874jxkvkiz.fsf_-_@HIDDEN>
In-Reply-To: <874jxkvkiz.fsf_-_@HIDDEN>
From: =?UTF-8?Q?Nicol=C3=A1s_Ojeda_B=C3=A4r?= <n.oje.bar@HIDDEN>
Date: Tue, 6 Sep 2022 14:12:21 +0200
Message-ID: <CAPunWhB1QC93soYCmmcyG23sFRX7g9N75evOEwKw=gFK1NtPyQ@HIDDEN>
Subject: Re: bug#55871: 27.1; vc-git.el log view 'a', 'f', 'd' do not work
 when following renames
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55871
Cc: 55871 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Sorry for the delay in getting back to you. No problem with assigning
copyright to FSF.

I will reply to Dmity separately.

Cheers,
Nicolas


On Tue, Sep 6, 2022 at 12:56 PM Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>
> Dmitry Gutov <dgutov@HIDDEN> writes:
>
> > First of all, how do you feel about signing copyright assignment for
> > Emacs?
>
> This was a couple of weeks ago, but there wasn't any followup as far as
> I can tell.
>
> Nicol=C3=A1s, would you be OK with assigning copyright to the FSF?
>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55871; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55871 <at> debbugs.gnu.org:


Received: (at 55871) by debbugs.gnu.org; 6 Sep 2022 10:56:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 06:56:30 2022
Received: from localhost ([127.0.0.1]:49695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVWFp-0003fa-Nb
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 06:56:29 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oVWFo-0003fM-Ht
 for 55871 <at> debbugs.gnu.org; Tue, 06 Sep 2022 06:56:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=djuI9MKUqLp+r4PfsCcSXuu11OtRaKcXjUOhtg6b/Yo=; b=rlw42gh/6b27YWsvp7AZyyDqW4
 2IOXKxbV/gQyI7RGOjUSMJEDbcS7pxlhNFPqYpmOkhU2H1IeNNAgT2a6svCYCsrSC+c50S8Fb+gAc
 9XcHL4gCLYkyzszRwEsE1GdfwQ9JCLqWEVT7PP0TV3lnNmsd0reYfJICsFWrlXtJxkk4=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVWFg-0003kB-HQ; Tue, 06 Sep 2022 12:56:22 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#55871: 27.1; vc-git.el log view 'a', 'f', 'd' do not work
 when following renames
In-Reply-To: <78f97339-2aca-0dbd-4cb4-3532af78a895@HIDDEN> (Dmitry Gutov's
 message of "Thu, 18 Aug 2022 05:10:16 +0300")
References: <CAPunWhApn1-te3g0M6mBV-1yHTqsw3vV5MSZdn_zSPGMzC826w@HIDDEN>
 <handler.55871.B.16547851264967.ack <at> debbugs.gnu.org>
 <CAPunWhAX4_tj7h4OXR_qnNUT9XJN3718GjaBw+yEujsp5gAjMQ@HIDDEN>
 <78f97339-2aca-0dbd-4cb4-3532af78a895@HIDDEN>
X-Now-Playing: David Bowie's _"Heroes"_: ""Heroes""
Date: Tue, 06 Sep 2022 12:56:20 +0200
Message-ID: <874jxkvkiz.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Dmitry Gutov <dgutov@HIDDEN> writes: > First of all, how
 do you feel about signing copyright assignment for > Emacs? This was a couple
 of weeks ago, but there wasn't any followup as far as I can tell. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55871
Cc: 55871 <at> debbugs.gnu.org,
 =?utf-8?Q?Nicol=C3=A1s?= Ojeda =?utf-8?Q?B=C3=A4r?= <n.oje.bar@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> First of all, how do you feel about signing copyright assignment for
> Emacs?=20

This was a couple of weeks ago, but there wasn't any followup as far as
I can tell.

Nicol=C3=A1s, would you be OK with assigning copyright to the FSF?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55871; Package emacs. Full text available.

Message received at 55871 <at> debbugs.gnu.org:


Received: (at 55871) by debbugs.gnu.org; 18 Aug 2022 02:10:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 17 22:10:28 2022
Received: from localhost ([127.0.0.1]:53334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oOUzM-0004nh-Fj
	for submit <at> debbugs.gnu.org; Wed, 17 Aug 2022 22:10:28 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:36491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1oOUzJ-0004nH-20
 for 55871 <at> debbugs.gnu.org; Wed, 17 Aug 2022 22:10:26 -0400
Received: by mail-wr1-f43.google.com with SMTP id j7so152207wrh.3
 for <55871 <at> debbugs.gnu.org>; Wed, 17 Aug 2022 19:10:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc;
 bh=Tt+J7JYldQbuykSOurmf4m6J3AjUtNdzPufCitLRHM0=;
 b=ipv5u9+5kPRN2dnOlfTJ0U/kW7K2J8ge9c1p7wMGTUSdY1TP3P9ymZ4SRSddtvPZlQ
 WsfA488nAE72/KKA8M9EOCDubM8XtekWaImkMH2peHTIq8zqDRqDnIPG7q8Zk+WOMMW2
 8aKDnn0b4C4CORCDj4lBAGBpgmuQaIe4G21QWHASD6KNsWP7Btikc+dPfF6bO4jycZ3T
 iduFQCQCHDQMP6eyTRpZvfEFDzmevJX0zIjkYzN7DiikjBJJEHr4IQnbcn+WOQId3d7s
 vWhAKxRC/JN2qK+hVAgQdvnCiw7KZSBm40Mbl2XyTS7eDQABtOhfFn3WKE43wUxe8j7k
 84tw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc;
 bh=Tt+J7JYldQbuykSOurmf4m6J3AjUtNdzPufCitLRHM0=;
 b=bfSTHGh87uBTcEUQpmDBui/lSZih9hpUSsRZapR3AeMx2I4tYoziluk4cahGQm+KK6
 xtkxgp4YErSQbe4ZCjNXb3hNTOBlRSyF4ttN1jM1tWqp6g7JNfmkbw3R4l0f/YMh+rWN
 JGkV0ZW6kSfTtN3yv7+QlyCyM1qGqFDKnawKz5CuTxA83r78xXSUozjL16y1Rl9uP+0Q
 gfl4aRKPJao1Yix1NzwqF+YIpXQv+AFQvOzCDk2aJwsu7dOoII8lT0GFP/F9dXqTEIdh
 0EfPf6FuvzC98Xr5lXjrKkEun1gVFgUU7IS/ueI0wCWL+qEWsWjgd3twf//o07HM3pAU
 RHIQ==
X-Gm-Message-State: ACgBeo0siDDOdBmmqaoLadRBLF+hu0pj4oix/ILH5wcDiZOI+8R0L0N4
 EazAMFNdrSbcVyvPGAH7Kbw=
X-Google-Smtp-Source: AA6agR6G4TlXQ8nHXZeakJCV14BuOK8jW2VVfm6aFJttVakXqP+eNQ6KukjBtt+ML2UrkWiqHhV6/g==
X-Received: by 2002:a5d:4d41:0:b0:21e:a5e3:cb9b with SMTP id
 a1-20020a5d4d41000000b0021ea5e3cb9bmr287801wru.523.1660788618854; 
 Wed, 17 Aug 2022 19:10:18 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 g11-20020a5d488b000000b0022377df817fsm57931wrq.58.2022.08.17.19.10.17
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 17 Aug 2022 19:10:18 -0700 (PDT)
Message-ID: <78f97339-2aca-0dbd-4cb4-3532af78a895@HIDDEN>
Date: Thu, 18 Aug 2022 05:10:16 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#55871: Acknowledgement (27.1; vc-git.el log view 'a', 'f',
 'd' do not work when following renames)
Content-Language: en-US
To: =?UTF-8?Q?Nicol=c3=a1s_Ojeda_B=c3=a4r?= <n.oje.bar@HIDDEN>,
 55871 <at> debbugs.gnu.org
References: <CAPunWhApn1-te3g0M6mBV-1yHTqsw3vV5MSZdn_zSPGMzC826w@HIDDEN>
 <handler.55871.B.16547851264967.ack <at> debbugs.gnu.org>
 <CAPunWhAX4_tj7h4OXR_qnNUT9XJN3718GjaBw+yEujsp5gAjMQ@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <CAPunWhAX4_tj7h4OXR_qnNUT9XJN3718GjaBw+yEujsp5gAjMQ@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 55871
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Hi Nicholas,

On 10.06.2022 20:31, Nicolás Ojeda Bär wrote:
> Dear all,
> 
> Attached is a patch that solves some of the problems in this issue (not all).
> 
> Its main feature is that it should not modify anything if you are not
> using `vc-git-print-log-follow`.
> 
> If you are, the patch makes it possible to use `a`, `f` and `d` from
> inside the `*vc-change-log*` buffer.
> 
> The patch itself is very much based on the one proposed in
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=8756#53, with some
> changes to make sure that nothing changes if `vc-git-print-log-follow`
> is not being used. Additionally, a horrible HACK (see commit message)
> is used to allow `vc-git.el` to discriminate between `d` and `D` in
> the `*vc-change-log*` buffer, as these two functions require different
> Git commands to be executed when following renames (this is also
> discussed in the just linked bug report).

Thanks for your help with updating this patch. I've tried it out, and it 
seems functional, which is great.

First of all, how do you feel about signing copyright assignment for 
Emacs? AFAICT you haven't done so yet, and this patch borders on our 
allowed limit without assignment (if I take only the lines that changed 
substantially from Dmitry Dzhus's version). It would probably be easier 
to get the assignment going anyway, so you continue to be able to 
contribute.

There are also a few of improvements I'm eyeing here (not requirements 
for acceptance -- I can do them myself, if you like):

1) vc-git--shalist-raw doesn't seem to serve much of a purpose. It is 
there only to delay the conversion from the raw string into a list?

2) It would be better to produce shalist entirely lazily. I'm not sure 
what's stopping us from doing that, given that vc-git--shalist knows how 
to find the log buffer. Finding the values for all the arguments might 
be a problem, so we can save the args (start-revision, limit) to a new var.

3) git-log-view-diff-whole-changeset might be unnecessary. vc-git-diff 
could look up two file names, for both revisions (the current and the 
one corresponding to the previous revision in the sha list), or 
log-view-diff-common could pass explicitly the previous revision from 
the already-printed list, rather than fetch it using (vc-call-backend 
log-view-vc-backend 'previous-revision nil fr) -- I'm not sure why it's 
doing it this way.

At first I just changed vc-git-diff to do this:

     (let ((file1 (vc-git--rev-to-filename rev1))
           (file2 (vc-git--rev-to-filename rev2)))
       (when (or file1 file2)
         ;; Run diff from the repository root because our file names are
         ;; relative to it
         (setq default-directory (vc-git-root default-directory))
         (when file1 (push file1 files))
         (when file2 (push file2 files))))

...and reverted the change to vc-git-previous-revision, and that almost 
worked, except a revision that did rename only showed one side 
(addition, not deletion).

WDYT?

I experimented with --follow myself in the past, and it is annoying in 
that it skips commits, some of which are visible in the log when you 
don't use --follow, details here: 
https://stackoverflow.com/questions/46487476/git-log-follow-graph-skips-commits

So I figured the approach in (3) has something to do with it. But it 
seems not to be the case.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55871; Package emacs. Full text available.
Added tag(s) patch. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55871 <at> debbugs.gnu.org:


Received: (at 55871) by debbugs.gnu.org; 10 Jun 2022 17:59:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 10 13:59:29 2022
Received: from localhost ([127.0.0.1]:51287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nziuv-0005st-9M
	for submit <at> debbugs.gnu.org; Fri, 10 Jun 2022 13:59:29 -0400
Received: from mail-ej1-f41.google.com ([209.85.218.41]:33635)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <n.oje.bar@HIDDEN>) id 1nziUm-0005Ax-7z
 for 55871 <at> debbugs.gnu.org; Fri, 10 Jun 2022 13:32:43 -0400
Received: by mail-ej1-f41.google.com with SMTP id bg6so34961256ejb.0
 for <55871 <at> debbugs.gnu.org>; Fri, 10 Jun 2022 10:32:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=85TaIDnWC7pSVMPkFTa/ThHfgvPmhcBrx+6xtZdJqlk=;
 b=AEumoZ9GBrF81AWB9lH5G3l230+nYbbM5dA/0BrZX0n30R7/THTtpet5le3OOx6/+O
 NTm+8mbCYyFA2bomXXDeOquwzbgOnu7BIU2h4R3gFAvJtbpAJVOn9uBC/zHp2Op9oHYu
 A37/8GOiWE9urjqQl1AxGobqTlAeElrTHMevpkWMGIMdbmIQTqd87HmeV/s5CjaV3Xu5
 vSD7aaoj+6xYOhCIDCrmKs0oHw6fCBzuhTvujq82QZYNtT5UbnLezZOy0YlZ9WCnQQMK
 KuXbuH/eazMAtNQy4xcbzF6RI19escoFq2lR11O9gmXmNQwXSZsF2HiU5Q9eWIp6O/yh
 T03Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=85TaIDnWC7pSVMPkFTa/ThHfgvPmhcBrx+6xtZdJqlk=;
 b=kTvNxbv/+QDd/IKcz/qkoViSURai751EzcbKfZQYYURVx+tCjbrxJZnF1KRk/w4tOl
 XID/bwFP+7C2gnLO1iI0uOUJSUx1Zr/YGWntOjueEKKvICTEhAdXydf2IBWAVkHvactG
 h0hrSo5V+n7mWtfvT21wHuEPsC2plCZxlpHrqqODAsIsuAX19j8KdgXwIDIdw3uFAxV8
 0qBSN5/3q8Mw9DR2vCS62MEdhgJT6MUhAOYNJbSrljymCVg9yw5FO+1yGVKdMGuStVAU
 wdfxpog/UiK18qR0DYvvvPK4037oC3tt0Lzzn3E9HN3Zko+gjbDhHZD4P9TqLbmRuj5e
 Dq7g==
X-Gm-Message-State: AOAM533TsU3JXloYdNm8IuOgWIJZlRuXzY6xqNvtDIze+3wenn+Ul7vg
 ZUo5n5BONweBNwWn1BpTkR613GxhyeEi9DTqP+DcXb1WbPI=
X-Google-Smtp-Source: ABdhPJxRwKuJQ4io1vjBTifvapfVer+5W/8xaAzQPiLiyNWJYS0yQrzEhETSZyfjlHWM+NnSFK5vIwwDWluKRR7mtYk=
X-Received: by 2002:a17:906:d554:b0:6f5:2242:a499 with SMTP id
 cr20-20020a170906d55400b006f52242a499mr42263131ejc.488.1654882341712; Fri, 10
 Jun 2022 10:32:21 -0700 (PDT)
MIME-Version: 1.0
References: <CAPunWhApn1-te3g0M6mBV-1yHTqsw3vV5MSZdn_zSPGMzC826w@HIDDEN>
 <handler.55871.B.16547851264967.ack <at> debbugs.gnu.org>
In-Reply-To: <handler.55871.B.16547851264967.ack <at> debbugs.gnu.org>
From: =?UTF-8?Q?Nicol=C3=A1s_Ojeda_B=C3=A4r?= <n.oje.bar@HIDDEN>
Date: Fri, 10 Jun 2022 19:31:55 +0200
Message-ID: <CAPunWhAX4_tj7h4OXR_qnNUT9XJN3718GjaBw+yEujsp5gAjMQ@HIDDEN>
Subject: Re: bug#55871: Acknowledgement (27.1; vc-git.el log view 'a', 'f',
 'd' do not work when following renames)
To: 55871 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary="0000000000001f97c305e11b529a"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55871
X-Mailman-Approved-At: Fri, 10 Jun 2022 13:59:28 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000001f97c305e11b529a
Content-Type: text/plain; charset="UTF-8"

Dear all,

Attached is a patch that solves some of the problems in this issue (not all).

Its main feature is that it should not modify anything if you are not
using `vc-git-print-log-follow`.

If you are, the patch makes it possible to use `a`, `f` and `d` from
inside the `*vc-change-log*` buffer.

The patch itself is very much based on the one proposed in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=8756#53, with some
changes to make sure that nothing changes if `vc-git-print-log-follow`
is not being used. Additionally, a horrible HACK (see commit message)
is used to allow `vc-git.el` to discriminate between `d` and `D` in
the `*vc-change-log*` buffer, as these two functions require different
Git commands to be executed when following renames (this is also
discussed in the just linked bug report).

Cheers,
Nicolas

--0000000000001f97c305e11b529a
Content-Type: application/octet-stream; 
	name="0001-vc-git.el-better-support-for-follow-mode.patch"
Content-Disposition: attachment; 
	filename="0001-vc-git.el-better-support-for-follow-mode.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_l48q00ii0>
X-Attachment-Id: f_l48q00ii0
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=
--0000000000001f97c305e11b529a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55871; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jun 2022 14:32:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 10:32:06 2022
Received: from localhost ([127.0.0.1]:47247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzJCd-0001Ht-2E
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 10:32:06 -0400
Received: from lists.gnu.org ([209.51.188.17]:48294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <n.oje.bar@HIDDEN>) id 1nzEsu-0000jB-6A
 for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 05:55:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53570)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <n.oje.bar@HIDDEN>)
 id 1nzEsk-0000pY-GX
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jun 2022 05:55:18 -0400
Received: from mail-ej1-x634.google.com ([2a00:1450:4864:20::634]:40464)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <n.oje.bar@HIDDEN>)
 id 1nzEsi-0005Id-LL
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jun 2022 05:55:14 -0400
Received: by mail-ej1-x634.google.com with SMTP id fu3so44886623ejc.7
 for <bug-gnu-emacs@HIDDEN>; Thu, 09 Jun 2022 02:55:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=08J8Qa8/r5yuXybKvXst49xc4DijDZDBCyjw5kQ0bjU=;
 b=XnSnlBo53OU3oRhqyd/cdi4USlOSzHRR6ixXH4f8m896mhbobF8Ucv5Q9iHfx+k1CT
 VRYJEj+NeGTC4sOlpySI7g+6oJ/F5rq9RGWW3eFE982KXbVmG9CGT96lrgB1Dbay+TeE
 saMv8r1nYuc93dXVx4//2gpVPB1qWOn494NH9UJ8BQqW+ClO3jMH3yd4I/JHDy3vnzBA
 XPrkMeNt0VbBhEfgvsjXBgIUs4uxmWZ7Wup0UBydcdAgblHeqx4W26STduNY410tp5m5
 zDN73wghmIdZ9eddfsRyY+s5LL/Vlm9iKkMEr20Wywd9wAdgSp+vTRZsh3foy68Dzk1E
 2EsA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=08J8Qa8/r5yuXybKvXst49xc4DijDZDBCyjw5kQ0bjU=;
 b=Pn54ElkNq+MNEhd/qt+Ic+97VpNxsqLshEodum8dqI03jyxBvAR7Gf7h9YiqeQIVv6
 ZMgkGjBGf8InX+6htTU5tf2pF8bfaR9R1cafWwx118/xS+dA5fsEJy2iWHKF4CNM6ETR
 aZVw89u5YvwfPw7mFGRwnvlApB4PBLh1ysKw6sG1wu5S3B2U1t+MpQJt8SUwWTg9ZPX2
 8gPglYt3tfetCp5YUkNhow5LIiiwlPQB6opz11uwod+wI0z8YLgaIYEx7zp3X8EEuR29
 D0NA8D51buGhCx4a3zhbYcuQ0QP6Uo9nQ0gHVc8udpH+2XB9WsOWvCdYtORYNdJtVEg1
 P7WA==
X-Gm-Message-State: AOAM531dJ9eSPAhWcprCgxfuMy2Dw3+mYMcgLv6Z5dD71CdML4Yoh+7R
 BJktkcBkA1d+o1D1hN3/T9ffPUh0ulGmRXRIXgS2A1HQFo8=
X-Google-Smtp-Source: ABdhPJyODkrqsRP1QXn1WIb4YmP0SShfSfhQWwMLVU3BDDKFjz1Xz5lLRqs2g4XmQxh7JZlnNmwwP04BLPTMrdqbwxg=
X-Received: by 2002:a17:906:d554:b0:6f5:2242:a499 with SMTP id
 cr20-20020a170906d55400b006f52242a499mr35761535ejc.488.1654768510363; Thu, 09
 Jun 2022 02:55:10 -0700 (PDT)
MIME-Version: 1.0
From: =?UTF-8?Q?Nicol=C3=A1s_Ojeda_B=C3=A4r?= <n.oje.bar@HIDDEN>
Date: Thu, 9 Jun 2022 11:54:44 +0200
Message-ID: <CAPunWhApn1-te3g0M6mBV-1yHTqsw3vV5MSZdn_zSPGMzC826w@HIDDEN>
Subject: 27.1;
 vc-git.el log view 'a', 'f', 'd' do not work when following renames
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2a00:1450:4864:20::634;
 envelope-from=n.oje.bar@HIDDEN; helo=mail-ej1-x634.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 09 Jun 2022 10:32:01 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

When pressing 'C-x v l' in a git versioned file that has been renamed,
it is possible to get a full history (ie including renames) by setting
'vc-git-print-log-follow' to t.

However, if doing this, the functions

- 'd' (log-view-diff)
- 'f' (log-view-find-revision)
- 'a' (log-view-annotate-revision)

stop working with revisions "before" the rename. There is a previous
discussion of this problem in

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=8756

but the discussion ends by suggesting to open a new bug report about
this issue, which I am doing here.

In GNU Emacs 27.1 (build 1, x86_64-w64-mingw32)
 of 2020-08-21 built on CIRROCUMULUS
Repository revision: 86d8d76aa36037184db0b2897c434cdaab1a9ae8
Repository branch: HEAD
Windowing system distributor 'Microsoft Corp.', version 10.0.22000
System Description: Microsoft Windows 10 Pro (v10.0.2009.22000.708)

Recent messages:
process
Mark saved where search started
Saving file c:/cygwin64/home/nojebar/mlfi/applications/scheduler/main.mf...
Mark set
Wrote c:/cygwin64/home/nojebar/mlfi/applications/scheduler/main.mf
Wrote c:/cygwin64/home/nojebar/mlfi/applications/scheduler/main.mf (3
pending errors, use C-c C-x to jump)
Mark saved where search started [3 times]
Mark set
Mark saved where search started [13 times]
Quit [2 times]
Quit
Configured using:
 'configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: fr_FR.UTF-8
  locale-coding-system: cp1252

Major mode: caml

Minor modes in effect:
  shell-dirtrack-mode: t
  merlin-mode: t
  save-place-mode: t
  winner-mode: t
  savehist-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  display-time-mode: t
  global-auto-revert-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
c:/cygwin64/home/nojebar/mlfi/mlfi-ins/share/emacs/site-lisp/ocp-indent
hides ~/scripts/install/emacs/ocp-indent
c:/cygwin64/home/nojebar/.emacs.d/elpa/jsonrpc-1.0.15/jsonrpc hides
c:/Program Files/emacs-27.1/share/emacs/27.1/lisp/jsonrpc
c:/cygwin64/home/nojebar/.emacs.d/elpa/xref-1.4.1/xref hides
c:/Program Files/emacs-27.1/share/emacs/27.1/lisp/progmodes/xref
c:/cygwin64/home/nojebar/.emacs.d/elpa/project-0.8.1/project hides
c:/Program Files/emacs-27.1/share/emacs/27.1/lisp/progmodes/project
c:/cygwin64/home/nojebar/.emacs.d/elpa/flymake-1.2.2/flymake hides
c:/Program Files/emacs-27.1/share/emacs/27.1/lisp/progmodes/flymake
c:/cygwin64/home/nojebar/.emacs.d/elpa/seq-2.23/seq hides c:/Program
Files/emacs-27.1/share/emacs/27.1/lisp/emacs-lisp/seq
c:/cygwin64/home/nojebar/.emacs.d/elpa/eldoc-1.12.0/eldoc hides
c:/Program Files/emacs-27.1/share/emacs/27.1/lisp/emacs-lisp/eldoc
~/scripts/install/emacs/cl-lib hides c:/Program
Files/emacs-27.1/share/emacs/27.1/lisp/emacs-lisp/cl-lib

Features:
(shadow sort mail-extr emacsbug message rmc puny format-spec rfc822 mml
mml-sec epa epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils add-log log-view pcvs-util
help-fns radix-tree vc-annotate ffap grep thingatpt cl-extra help-mode
shell pcomplete smerge-mode diff vc vc-dispatcher misearch multi-isearch
merlin-xref xref project merlin-cap merlin pcase caml-types crm caml
advice rx compile derived imenu cygwin-mount ange-ftp comint ansi-color
ocamlformat ocp-indent caml-font vc-git diff-mode easy-mmode dired-x
dired dired-loaddefs saveplace edmacro kmacro winner ring savehist paren
delsel time autorevert filenotify info proof-site proof-autoloads
package easymenu browse-url url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win w32-vars
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 298590 19356)
 (symbols 48 12729 1)
 (strings 32 40782 1936)
 (string-bytes 1 1406019)
 (vectors 16 22528)
 (vector-slots 8 276819 12620)
 (floats 8 104 554)
 (intervals 56 42748 0)
 (buffers 1000 42))




Acknowledgement sent to Nicolás Ojeda Bär <n.oje.bar@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55871; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 4 Oct 2022 12:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.